.switch{
    background: #343d5b;
    border-radius: 1000px;
    border: none;
    position: relative;
    display: flex;
    cursor: pointer;
    outline: none;
    &::after{
        content: "";
        display: block;
        width: 30px;
        height: 30px;
        position: absolute;
        background: #f1f1f1;
        top: 0;
        left: 0;
        right: unset;
        border-radius: 100px;
        transition: .3s ease all;
        box-shadow: 0 0 2px 2px rgba(0, 0, 0, .2);
    }
    &.active{
        background: #1db954;
        color: #000;

        &::after{
            left: unset;
            right: 0;
        }
    }

    &__icon{
        width: 30px;
        height: 30px;
        line-height: 30px;
        display: block;
        background: none;
        color: #fff;
    }
}